Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.apache.hadoop.mapred
Enum TaskStatus.Phase

    java.lang.Object
      java.lang.Enum<TaskStatus.Phase>
          org.apache.hadoop.mapred.TaskStatus.Phase

All Implemented Interfaces:
  Serializable, Comparable<TaskStatus.Phase>

Enclosing class:
  TaskStatus

    public static enum TaskStatus.Phase

extends Enum<TaskStatus.Phase>

Enum Constant Summary
`CLEANUP`
`MAP`
`REDUCE`
`SHUFFLE`
`SORT`
`STARTING`

Method Summary
`static TaskStatus.Phase` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static TaskStatus.Phase[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### STARTING

    public static final TaskStatus.Phase STARTING

### MAP

    public static final TaskStatus.Phase MAP

### SHUFFLE

    public static final TaskStatus.Phase SHUFFLE

### SORT

    public static final TaskStatus.Phase SORT

### REDUCE

    public static final TaskStatus.Phase REDUCE

### CLEANUP

    public static final TaskStatus.Phase CLEANUP

Method Detail

### values

    public static TaskStatus.Phase[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (TaskStatus.Phase c : TaskStatus.Phase.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static TaskStatus.Phase valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2009 The Apache Software Foundation